Install 0.9.6 on Linux

Hi,

I’m trying to install this version on a linux-Mint (Ubuntu base).

Launching it raises an error:

./Fritzing 
/usr/share/fritzing-0.9.6/lib/Fritzing: /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.29' not found (required by /usr/share/fritzing-0.9.6/lib/Fritzing)
/usr/share/fritzing-0.9.6/lib/Fritzing: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.12' not found (required by /usr/share/fritzing-0.9.6/lib/Fritzing)

I have installed the required Qt5 depencencies but it seems some are still missing.

Any help ?

BTW: Might be cool to bundle the libs in the apps (like in previous version) or to create a deb file

Installing the full QT5 pack helps but I now have another missing library:
/lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.29’ not found

Hi, which Linux Mint version are you using?

I was just able to launch Fritzing on Linux Mint 20.1 “Ulyssa” - Cinnamon (64-bit):

Steps:

1. download / extract Fritzing.

2 . "sudo apt install libqt5printsupport5 libqt5xml5 libqt5sql5 libqt5serialport5 libqt5sql5-sqlite"

3. [optional] "./install_fritzing.sh"

4. "./Fritzing"

I have the 0.9.6 on Mint 20.0, and did not meet problems so far…

I did not upgrade yet to 20.1

I updated my 0.9.4 to 0.9.6 using this method.

  1. Downloaded latest archive
  2. Extracted the insides to my existing Fritzing folder and replaced everything.
  3. Done.